#
# spec file for package rpcsvc-proto
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rpcsvc-proto
Version:        1.3
Release:        1%{?dist}
Summary:        RPC protocol definitions
License:        BSD and LGPLv2+
Group:          System Environment/Libraries
Url:            http://github.com/thkukuk/rpcsvc-proto
Source0:        https://github.com/thkukuk/rpcsvc-proto/archive/%{name}-%{version}.tar.gz

%description
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package devel
Summary:        RPC protocol definitions
Group:          Development/Libraries/C and C++

%description devel
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package -n rpcgen
Summary:        RPC protocol compiler
Group:          Development/Tools/Other
Provides:       glibc-devel:%{_bindir}/rpcgen

%description -n rpcgen
rpcgen is a tool that generates C code to implement an RPC protocol.
The input to rpcgen is a language similar to C known as RPC Language
(Remote Procedure Call Language).

%prep
%setup -q

%build
%configure --includedir=%{_includedir}/tirpc
%make_build

%install
%make_install
# Rename temporary to avoid conflict with glibc for easier migration
mv %{buildroot}%{_bindir}/rpcgen %{buildroot}%{_bindir}/rpcgen-tirpc
mv %{buildroot}%{_mandir}/man1/rpcgen.1 %{buildroot}%{_mandir}/man1/rpcgen-tirpc.1

%files devel
%doc COPYING
%dir %{_includedir}/tirpc
%dir %{_includedir}/tirpc/rpcsvc
%{_includedir}/tirpc/rpcsvc/*

%files -n rpcgen
%defattr(-,root,root)
%{_bindir}/rpcgen-tirpc
%{_mandir}/man1/rpcgen-tirpc.1*

%changelog
* Mon Jan  8 2018 Steve Dickson <steved@redhat.com>  1.3-1
- Initial commit

